{
  "_id": "concessioni-estere",
  "_version": "1.0.0",
  "_name": "Missioni archeologiche italiane all'estero",
  "_schema": {
    "abstractRelazione": {
      "_min": 1,
      "_children": [
        {
          "filesetIta": {
            "_type": "RegisteredFileSet",
            "_min": 1
          }
        },
        {
          "filesetEng": {
            "_type": "RegisteredFileSet"
          }
        },
        {
          "title": {
            "_min": 1
          }
        }
      ]
    },
    "relazioneScavo": {
      "_max": 1,
      "_min": 1,
      "_children": [
        {
          "fileset": {
            "_type": "RegisteredFileSet",
            "_min": 1
          }
        },
        {
          "title": {
            "_min": 1
          }
        }
      ]
    },
    "immaginiRappresentative": {
      "_max": 4,
      "_children": [
        {
          "fileset": {
            "_type": "RegisteredFileSet",
            "_min": 1
          }
        },
        {
          "title": {
            "_min": 1
          }
        }
      ]
    },
    "posizionamentoScavo": {
      "_max": 1,
      "_min": 1,
      "_children": [
        {
          "fileset": {
            "_type": "RegisteredFileSet",
            "_min": 1
          }
        },
        {
          "title": {
            "_min": 1
          }
        }
      ]
    },
    "pianteFineScavo": {
      "_max": -1,
      "_children": [
        {
          "fileset": {
            "_type": "RegisteredFileSet",
            "_min": 1
          }
        },
        {
          "title": {
            "_min": 1
          }
        }
      ]
    }
  },
  "_description": "Embedded profile for concessioni estere [mibac] management",
  "_creationInfo": {
    "_user": {
      "_username": "francesco.mangiacrapa"
    }
  },
  "_dataAccessPolicies": [
    {"_policy": {"_read": "any","_write": "any"},
      "_roles": ["Data-Manager"]},
    {"_policy": {"_read": "own","_write": "own"},
      "_roles": ["Data-Editor"]},
      {"_policy": {"_read": "any","_write": "none"},
      "_roles": ["Member"],
      "_enforcer": {"_filter": "{\"_lifecycleInformation._phase\" :  {\"$eq\" :  \"Published\"}}"}},
      {"_policy": {"_read": "none","_write": "none"},
      "_roles": []}
  ],
  "_handlers": [
    {
      "_id": "GNA-CONCESSIONI-LC",
      "_type": "LifecycleManagement",
      "_configuration": {
        "step_access": [
          {
            "STEP": "SUBMIT-FOR-REVIEW",
            "roles": []
          },
          {
            "STEP": "REJECT-DRAFT",
            "roles": [
              "Data-Manager",
              "Data-Editor"
            ]
          },
          {
            "STEP": "APPROVE-SUBMITTED",
            "roles": [
              "Data-Manager"
            ]
          },
          {
            "STEP": "UNPUBLISH",
            "roles": [
              "Data-Manager"
            ]
          }
        ]
      }
    },
    {
      "_id": "SDI-Default-Materializer",
      "_type": "Materializer",
      "_configuration": {
        "registeredFileSetPaths": [
          {
            "schemaField": "pianteFineScavo",
            "documentPath": "pianteFineScavo[*].fileset"
          },
          {
            "schemaField": "posizionamentoScavo",
            "documentPath": "posizionamentoScavo.fileset"
          }
        ]
      }
    },
    {
      "_id": "SDI-Indexer-Plugin",
      "_type": "Indexer",
      "_configuration": {
        "bboxEvaluation": [
          "$..posizionamentoScavo.._bbox"
        ],
        "explicitFieldMapping": [
          {
            "name": "nome",
            "path": "$._theDocument.nome",
            "type": "TEXT"
          },
          {
            "name": "data_inizio_progetto",
            "path": "$._theDocument.dataInizioProgetto",
            "type": "TEXT"
          },
          {
            "name": "descrizione",
            "path": "$._theDocument.introduzione",
            "type": "TEXT"
          },
          {
            "name": "contenuto",
            "path": "$._theDocument.descrizioneContenuto",
            "type": "TEXT"
          },
          {
            "name": "autore",
            "path": "$._theDocument.authors",
            "type": "TEXT"
          },
          {
            "name": "contributore",
            "path": "$._theDocument.contributore",
            "type": "TEXT"
          },
          {
            "name": "titolare",
            "path": "$._theDocument.titolari",
            "type": "TEXT"
          },
          {
            "name": "responsabile",
            "path": "$._theDocument.responsabile",
            "type": "TEXT"
          },
          {
            "name": "editore",
            "path": "$._theDocument.editore",
            "type": "TEXT"
          },
          {
            "name": "finanziamento",
            "path": "$._theDocument.fontiFinanziamento",
            "type": "TEXT"
          },
          {
            "name": "soggetto",
            "path": "$._theDocument.soggetto",
            "type": "TEXT"
          },
          {
            "name": "risorse",
            "path": "$._theDocument.risorseCorrelate",
            "type": "TEXT"
          },
          {
            "name": "data_fine_progetto",
            "path": "$._theDocument.dataFineProgetto",
            "type": "TEXT"
          },
          {
            "name": "data_archiviazione",
            "path": "$._info._lastEditInfo._instant",
            "type": "TEXT"
          },
          {
            "name": "versione",
            "path": "$._version",
            "type": "TEXT"
          },
          {
            "name": "licenza",
            "path": "$._info._access._license",
            "type": "TEXT"
          },
          {
            "name": "titolare_licenza",
            "path": "$._theDocument.titolareLicenza",
            "type": "TEXT"
          },
          {
            "name": "accesso",
            "path": "$._info._access._license",
            "type": "TEXT"
          },
          {
            "name": "parole_chiave",
            "path": "$._theDocument.paroleChiaveLibere",
            "type": "TEXT"
          }
        ],
        "jslt": {},
        "additionalLayers": [
          {
            "source": {
              "url": "..."
            },
            "toSetTitle": ""
          }
        ]
      }
    },
     {
            "_id": "org.gcube.portlets.user.geoportal-data-entry-app",
            "_type": "DATA_ENTRY_GUI",
            "_configuration": {
                "gcubeProfiles": [
                    {
                        "gcubeSecondaryType": "GeoNaMetadata",
                        "gcubeName": "Informazioni_di_progetto",
                        "sectionName": "$.",
                        "sectionTitle": "Informazioni di Progetto"
                    },
                    {
                        "gcubeSecondaryType": "GeoNaMetadata",
                        "gcubeName": "Abstract_Relazione_di_Scavo",
                        "sectionName": "abstractRelazione",
                        "sectionTitle": "Abstract della Relazione Scientifica",
                        "parentName": "$.",
                        "filePaths": [
                            {
                                "gcubeProfileFieldName": "Carica Abstract Ita (in PDF)",
                                "fieldDefinition": "$.abstractRelazione._children[?(@.filesetIta)]",
                                "fieldName": "filesetIta"
                            },
                            {
                                "gcubeProfileFieldName": "Carica Abstract Eng (in PDF)",
                                "fieldDefinition": "$.abstractRelazione._children[?(@.filesetEng)]",
                                "fieldName": "filesetEng"
                            }
                        ]
                    },
                    {
                        "gcubeSecondaryType": "GeoNaMetadata",
                        "gcubeName": "Relazione_di_Scavo",
                        "sectionName": "relazioneScavo",
                        "sectionTitle": "Relazione Scientifica",
                        "parentName": "$.",
                        "filePaths": [
                            {
                                "gcubeProfileFieldName": "Relazione scientifica (in PDF)",
                                "fieldDefinition": "$.relazioneScavo._children[?(@.fileset)]",
                                "fieldName": "fileset"
                            }
                        ]
                    },
                    {
                        "gcubeSecondaryType": "GeoNaMetadata",
                        "gcubeName": "Immagine_Rappresentativa_di_Scavo",
                        "sectionName": "immaginiRappresentative",
                        "sectionTitle": "Immagini Rappresentative",
                        "minOccurs": 1,
                        "maxOccurs": 4,
                        "parentName": "$.",
                        "filePaths": [
                            {
                                "gcubeProfileFieldName": "Immagine",
                                "fieldDefinition": "$.immaginiRappresentative._children[?(@.fileset)]",
                                "fieldName": "fileset"
                            }
                        ]
                    },
                    {
                        "gcubeSecondaryType": "GeoNaMetadata",
                        "gcubeName": "Posizionamento_dell_area_di_indagine",
                        "sectionName": "posizionamentoScavo",
                        "sectionTitle": "Posizionamento dell'Area di Indagine",
                        "parentName": "$.",
                        "filePaths": [
                            {
                                "gcubeProfileFieldName": "File",
                                "fieldDefinition": "$.posizionamentoScavo._children[?(@.fileset)]",
                                "fieldName": "fileset"
                            }
                        ]
                    },
                    {
                        "gcubeSecondaryType": "GeoNaMetadata",
                        "gcubeName": "Pianta_di_fine_Scavo",
                        "sectionName": "pianteFineScavo",
                        "sectionTitle": "Piante di Fine Indagine",
                        "parentName": "$.",
                        "minOccurs": 0,
                        "maxOccurs": 0,
                        "filePaths": [
                            {
                                "gcubeProfileFieldName": "File",
                                "fieldDefinition": "$.pianteFineScavo._children[?(@.fileset)]",
                                "fieldName": "fileset"
                            }
                        ]
                    }
                ],
                "saveStep": ""
            }
        },
    {
  "_id": "org.gcube.portlets.user.geoportal-data-list",
  "_type": "DATA_LIST_GUI",
  "_configuration": {
    "itemFields": [
      {
        "label": "Any Field",
        "paths": [
          "_theDocument.nome",
          "_theDocument.introduzione",
          "_theDocument.authors",
          "_theDocument.contributore",
          "_theDocument.titolari",
          "_theDocument.editore",
          "_theDocument.responsabile",
          "_theDocument.paroleChiaveLibere",
          "_theDocument.paroleChiaveICCD"
        ],
        "operator": "$or",
        "searchable": true,
        "sortable": false,
        "asResult": false
      },
      {
        "label": "Name",
        "paths": [
          "_theDocument.nome"
        ],
        "operator": "$and",
        "searchable": true,
        "sortable": true,
        "asResult": true
      },
      {
        "label": "Introduction",
        "paths": [
          "_theDocument.introduzione"
        ],
        "operator": "$and",
        "searchable": true,
        "sortable": false,
        "asResult": true
      },
      {
        "label": "Author/s",
        "paths": [
          "_theDocument.authors"
        ],
        "operator": "$and",
        "searchable": false,
        "sortable": true,
        "asResult": true
      },
      {
        "label": "Project Start (yyyy-mm-dd)",
        "paths": [
          "_theDocument.dataInizioProgetto"
        ],
        "operator": "$and",
        "searchable": true,
        "sortable": true,
        "asResult": true
      },
      {
        "label": "Director/Staff",
        "paths": [
          "_theDocument.authors",
          "_theDocument.contributore",
          "_theDocument.titolari",
          "_theDocument.editore",
          "_theDocument.responsabile"
        ],
        "operator": "$or",
        "searchable": true,
        "sortable": false,
        "asResult": true
      },
      {
        "label": "Keywords",
        "paths": [
          "_theDocument.paroleChiaveLibere",
          "_theDocument.paroleChiaveICCD"
        ],
        "operator": "$or",
        "searchable": true,
        "sortable": false,
        "asResult": true
      },
      {
        "label": "Creator",
        "paths": [
          "_info._creationInfo._user._username"
        ],
        "operator": "$or",
        "searchable": true,
        "sortable": false,
        "asResult": false
      },
      {
        "label": "Updated",
        "paths": [
          "_info._lastEditInfo._instant"
        ],
        "operator": "$or",
        "searchable": false,
        "sortable": true,
        "asResult": false
      },
      {
        "label": "Phase",
        "paths": [
          "_lifecycleInformation._phase"
        ],
        "operator": "$or",
        "searchable": true,
        "sortable": true,
        "asResult": false
      },
      {
        "label": "Status",
        "paths": [
          "_lifecycleInformation._lastOperationStatus"
        ],
        "operator": "$or",
        "searchable": true,
        "sortable": true,
        "asResult": false
      }
    ]
  }
},
    {
  "_id": "org.gcube.portlets.user.geoportal-basic-data-list",
  "_type": "BASIC_DATA_LIST_GUI",
  "_configuration": {
    "itemFields": [
      {
        "label": "Any Field",
        "paths": [
          "_theDocument.nome",
          "_theDocument.introduzione",
          "_theDocument.authors",
          "_theDocument.contributore",
          "_theDocument.titolari",
          "_theDocument.editore",
          "_theDocument.responsabile",
          "_theDocument.paroleChiaveLibere",
          "_theDocument.paroleChiaveICCD"
        ],
        "operator": "$or",
        "searchable": true,
        "sortable": false,
        "asResult": false
      },
      {
        "label": "Name",
        "paths": [
          "_theDocument.nome"
        ],
        "operator": "$and",
        "searchable": true,
        "sortable": true,
        "asResult": true
      },
      {
        "label": "Introduction",
        "paths": [
          "_theDocument.introduzione"
        ],
        "operator": "$and",
        "searchable": true,
        "sortable": false,
        "asResult": true
      },
      {
        "label": "Project Start",
        "paths": [
          "_theDocument.dataInizioProgetto"
        ],
        "operator": "$and",
        "searchable": false,
        "sortable": false,
        "asResult": true
      },
      {
        "label": "Project Start (YEAR)",
        "paths": [
          "_theDocument.dataInizioProgetto"
        ],
        "operator": "$and",
        "searchable": true,
        "sortable": false,
        "asResult": false
      },
      {
        "label": "Director/Staff",
        "paths": [
          "_theDocument.authors",
          "_theDocument.contributore",
          "_theDocument.titolari",
          "_theDocument.editore",
          "_theDocument.responsabile"
        ],
        "operator": "$or",
        "searchable": true,
        "sortable": false,
        "asResult": true
      },
      {
        "label": "Keywords",
        "paths": [
          "_theDocument.paroleChiaveLibere",
          "_theDocument.paroleChiaveICCD"
        ],
        "operator": "$or",
        "searchable": true,
        "sortable": false,
        "asResult": true
      }
    ]
  }
}
,
    {
      "_id": "org.gcube.portlets.user.geoportal-timeline-json-template",
      "_type": "TIMELINE_JSON_TEMPLATE",
      "_configuration": {
        "tjt_document": {
          "content": "$.nome",
          "title": "$.nome",
          "start": "$.dataInizioProgetto",
          "end": "$.dataFineProgetto"
        }
      }
    },
    {
      "_id": "org.gcube.portlets.user.geoportal-workflow-action-list",
      "_type": "WORKFLOW_ACTION_LIST_GUI",
      "_configuration": {
        "actionsDefinition": [
          {
            "id": "post_creation_action",
            "title": "Post Creation Action",
            "call_STEPS": [],
            "description": "Action fired after the Project creation",
            "display_on_phase": []
          },
          {
            "id": "submit_for_review",
            "title": "Submit for Review",
            "call_STEPS": [
              "SUBMIT-FOR-REVIEW"
            ],
            "description": "Submit the Project (for review)",
            "display_on_phase": [
              "DRAFT"
            ]
          },
          {
            "id": "reject",
            "title": "Reject",
            "call_STEPS": [
              "REJECT-DRAFT"
            ],
            "description": "Reject the Project",
            "display_on_phase": [
              "Pending Approval"
            ]
          },
          {
            "id": "approve",
            "title": "Approve",
            "call_STEPS": [
              "APPROVE-SUBMITTED"
            ],
            "description": "Approve the Project",
            "display_on_phase": [
              "Pending Approval"
            ]
          },
          {
            "id": "unpublish",
            "title": "UnPublish",
            "call_STEPS": [
              "UNPUBLISH"
            ],
            "description": "UnPublish the Project",
            "display_on_phase": [
              "Published"
            ]
          }
        ]
      }
    }
  ],
  "_relationshipDefinitions" : [
    {"_id": "precedes", "_label" : "Precede",
      "_reverseRelationId" : "follows"},
    {"_id": "follows", "_label" : "Segue",
      "_reverseRelationId" : "precedes"}
  ]
}
